Redmine - Feature #31159

"Create and continue" button for custom fields
2019-04-06 10:55 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Custom fields Estimated time: 0.00 hour
Target version: 4.1.0

Resolution: Fixed

Description

| propose to add "Create and continue" in the new custom field form. The button is already implemented in the new issue form.

Currently, you have to click the mouse button 3 times to create another custom field after creating a custom field (click "lssues" ->
"New custom field" -> "Next"). It is really tiresome especially when you create many custom fields.

This will be resolved if the new custom field form has a "Create and continue" button like the new issue form.

Associated revisions

Revision 18054 - 2019-04-09 16:53 - Go MAEDA

"Create and continue" button for custom fields (#31159).

Patch by Mizuki ISHIKAWA.

History

#1 - 2019-04-09 07:06 - Mizuki ISHIKAWA
- File feature-31159.patch added

After applying the patch:
When a custom field of Issues type is created by the "Create on Continue" button, it redirects to "/custom_fields /new?type=IssueCustomField" while
maintaining the type.

#2 - 2019-04-09 07:31 - Go MAEDA

- Target version set to 4.1.0

LGTM. Setting the target version to 4.1.0.

#3 - 2019-04-09 16:54 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix. Thank you for your contribution.

Files

feature-31159.patch 2.33 KB 2019-04-09 Mizuki ISHIKAWA
